# $Revision: 1.10 $, $Date: 2010/05/09 11:21:44 $
Summary:	An arcade action puzzle game
Summary(pl.UTF-8):	Zręcznościowa gra logiczna
Name:		zaz
Version:	0.7.0
Release:	1
License:	GPL v3+
Group:		X11/Applications/Games
Source0:	http://downloads.sourceforge.net/zaz/%{name}-%{version}.tar.bz2
# Source0-md5:	3e1c1e46baec02fa16e71533d657820a
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-usless_files.patch
URL:		http://zaz.sourceforge.net/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ftgl-devel >= 2.1.3
BuildRequires:	gettext-devel
BuildRequires:	libdrm-devel
BuildRequires:	libogg-devel
BuildRequires:	libtheora-devel
BuildRequires:	libvorbis-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Zaz is an arcade action puzzle game where the objective is to get rid
of all incoming balls by rearranging their order. Currently it
includes 18 different levels.

%description -l pl.UTF-8
Zaz to zręcznościowa gra logiczna, w której celem jet pozbycie się
wszystkich kul zmieniając ich ustawienie. Aktualnie gra zawiera 18
różnych poziomów.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-icondir="%{_pixmapsdir}"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_bindir}/zaz
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.xpm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: zaz.spec,v $
Revision 1.10  2010/05/09 11:21:44  lisu
- updated to 0.7.0
- more levels in desc

Revision 1.9  2010/02/22 09:37:14  lisu
- up to 0.3.3

Revision 1.8  2010/01/31 21:39:35  lisu
- now zaz has 7 diffrent levels

Revision 1.7  2010/01/29 22:00:34  lisu
- up to 0.3.1
- adapter

Revision 1.6  2009/11/15 00:40:46  zbyniu
- BR: gettext-devel, pkgconfig

Revision 1.5  2009/10/07 13:32:08  lisu
- no more inexistent files

Revision 1.4  2009/10/07 13:23:25  lisu
- up to 0.3.0
- add --with-icondir to point where icon should go

Revision 1.3  2009/08/28 14:36:47  lisu
- little change by adapter

Revision 1.2  2009/08/28 14:36:01  lisu
- up to 0.2.9
- do not try to process inexistent files
- internationalization

Revision 1.1  2009/08/27 08:10:18  lisu
- new spec file

